﻿
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Medical information report
            </h1>
        </div>
        <div class="actions">
            <a class="icon-btn pdf-btn" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to PDF" ng-click="saveToPdf()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-pdf"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="clearfix"></div>
    <div class="row place-left one-half">
        <label>Program</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select ng-model="Model.ScheduleId"
                        ng-options="obj.Value as obj.Text for obj in AllPrograms"
                        ng-change="runReport()"></select>
            </div>
        </div>
    </div>
    <br />
    <div class="clearfix"></div>
    <hr />


    <div class="structure-divider-large" ng-repeat="item in ModelSections">
        <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray">
            <tr>
                <td class="structure-bold structure-h3 " colspan="2"><span>{{item.SectionName}}</span></td>
            </tr>
        </table>
        <table class="jbt-table-custom" ng-show="item.SectionParticipant != null">

            <tr class="structure-gray">
                <th style="min-width:30px;width:30px;">#</th>
                <th style="max-width:120px;width:120px;">Participant</th>
                <th style="max-width:150px;width:150px;">Program</th>
                <th style="max-width:50px;width:50px;">Grade</th>
                <th style="max-width:200px;width:200px;">Description</th>
            </tr>

            <tr ng-repeat="participant in item.SectionParticipant">
                <td style="min-width:30px;width:30px;" class="structure-text-center">{{participant.Number}}</td>
                <td style="max-width:120px;width:120px;" class="structure-text-center">
                    <p>{{participant.ParticipantName}}</p>
                </td>
                <td style="max-width:150px;width:150px;" class="structure-text-center">
                    <p>{{participant.ProgramName}}</p>
                </td>
                <td style="max-width:50px;width:50px;" class="structure-text-center">
                    <p>{{participant.Grade}}</p>
                </td>
                <td style="max-width:200px;width:200px;" class="structure-text-center">
                    <p>{{participant.Description}}</p>
                </td>
            </tr>
        </table>
    </div>

    <div class="clearfix"></div>

</div>
